Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nativelibs4java.mono
Class MonoSymbolFileMethodAddress

    java.lang.Object
      com.sun.jna.Structure
          com.ochafik.lang.jnaerator.runtime.Structure<MonoSymbolFileMethodAddress,MonoSymbolFileMethodAddress.ByValue,MonoSymbolFileMethodAddress.ByReference>
              com.nativelibs4java.mono.MonoSymbolFileMethodAddress

All Implemented Interfaces:
  StructureType, StructureTypeDependent, java.lang.Comparable<Structure<MonoSymbolFileMethodAddress,MonoSymbolFileMethodAddress.ByValue,MonoSymbolFileMethodAddress.ByReference>>

Direct Known Subclasses:
  MonoSymbolFileMethodAddress.ByReference, MonoSymbolFileMethodAddress.ByValue

    public class MonoSymbolFileMethodAddress

extends Structure<MonoSymbolFileMethodAddress,MonoSymbolFileMethodAddress.ByValue,MonoSymbolFileMethodAddress.ByReference>

native declaration : mono\metadata\debug-mono-symfile.h:55
This file was autogenerated by JNAerator,
a tool written by Olivier Chafik that uses a few opensource projects..
For help, please visit NativeLibs4Java, Rococoa, or JNA.

Nested Class Summary
`static class` | `MonoSymbolFileMethodAddress.ByReference`
`static class` | `MonoSymbolFileMethodAddress.ByValue`

Field Summary
`byte[]` | `data`
`ByteByReference` | `end_address`
`int` | `has_this`
`int` | `line_number_offset`
`ByteByReference` | `method_end_address`
`ByteByReference` | `method_start_address`
`int` | `num_line_numbers`
`int` | `num_params`
`int` | `size`
`ByteByReference` | `start_address`
`int` | `type_table_offset`
`int` | `variable_table_offset`
`ByteByReference` | `wrapper_address`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`MonoSymbolFileMethodAddress()`

Method Summary
`protected MonoSymbolFileMethodAddress.ByReference` | `newByReference()`
`protected MonoSymbolFileMethodAddress.ByValue` | `newByValue()`
`protected MonoSymbolFileMethodAddress` | `newInstance()`

Methods inherited from class com.ochafik.lang.jnaerator.runtime.Structure
`byReference, byValue, clone, compareTo, getBitsAnnotation, read, readDependency, setDependency, setupClone, toArray, toArray, toArray, toReferenceArray, toReferenceArray, toValueArray, toValueArray, useMemory, write`

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoRead, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toString, useMemory, writeField, writeField`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.ochafik.lang.jnaerator.runtime.StructureType
`getPointer, size`

Field Detail

### size

    public int size

### start_address

    public ByteByReference start_address

### end_address

    public ByteByReference end_address

### method_start_address

    public ByteByReference method_start_address

### method_end_address

    public ByteByReference method_end_address

### wrapper_address

    public ByteByReference wrapper_address

### has_this

    public int has_this

### num_params

    public int num_params

### variable_table_offset

    public int variable_table_offset

### type_table_offset

    public int type_table_offset

### num_line_numbers

    public int num_line_numbers

### line_number_offset

    public int line_number_offset

### data

    public byte[] data

Constructor Detail

### MonoSymbolFileMethodAddress

    public MonoSymbolFileMethodAddress()

Method Detail

### newByReference

    protected MonoSymbolFileMethodAddress.ByReference newByReference()

  Specified by:
    `newByReference` in class `Structure<MonoSymbolFileMethodAddress,MonoSymbolFileMethodAddress.ByValue,MonoSymbolFileMethodAddress.ByReference>`

### newByValue

    protected MonoSymbolFileMethodAddress.ByValue newByValue()

  Specified by:
    `newByValue` in class `Structure<MonoSymbolFileMethodAddress,MonoSymbolFileMethodAddress.ByValue,MonoSymbolFileMethodAddress.ByReference>`

### newInstance

    protected MonoSymbolFileMethodAddress newInstance()

  Specified by:
    `newInstance` in class `Structure<MonoSymbolFileMethodAddress,MonoSymbolFileMethodAddress.ByValue,MonoSymbolFileMethodAddress.ByReference>`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD